Subject: Re: [Ksummit-2012-discuss] [ATTEND] stable kernel stuff and grumpy maintainers [bisection/rebase/-next]

From: "Paul E. McKenney" <[email-masked]>
Date: Thu, 21 Jun 2012 16:38:41 -0700

On Thu, Jun 21, 2012 at 11:51:41AM -0400, Steven Rostedt wrote:
> On Thu, 2012-06-21 at 23:26 +0800, Fengguang Wu wrote:
> > On Thu, Jun 21, 2012 at 10:04:26AM -0400, Steven Rostedt wrote:
> > > On Thu, 2012-06-21 at 21:38 +0800, Fengguang Wu wrote:
> > > 
> > > > This is the 0-day kernel testing backend I recently started can help.
> > > > 
> > > > It runs kernel build/boot tests on each developer's tree and tries to
> > > > find and report possible defects within 24 hours. The timely report
> > > > can effectively constraint the scope of impact to the related people,
> > > > rather than hurting the larger crowd of people in the integration tree.
> > > 
> > > Perhaps you would be the perfect candidate to house a linux-devel.git
> > > repo. Have it set up like so:
> > 
> > Actually Stephen jumps to my mind at the very start. He has all the
> > experiences, tools and infrastructure to maintain such a tree.
> 
> I didn't want to burden him more ;-)
> 
> > 
> > The most important problem may be, how many developers we can attract
> > to send pull requests to linux-devel. It would be a good quiz in the KS :-)
> 
> Agreed. Of course this is the chicken/egg problem. How do you know how
> many developers that it would attract without first doing it.
> 
> So far I know of 1 (me ;-)  And I think even GregKH said he liked the
> idea.
> 
> > 
> > FYI, I've added about 170 git trees as my test targets, which contain
> > about 550 active branches. I enjoy a lot looking at the freshly cooked
> > commits being compiled and ran to the degree to keep the servers busy
> > all day :-)
> 
> What about trees like my own, where 'master' is very stale, and all the
> goodies happen in the other branches. And last I looked, in my public
> repo, I have 124 branches!
> 
> > 
> > > If you do not have the time to set up such a repo, I'm willing to do it.
> > > I just do not have the hardware to do the testing that should be done,
> > > but as it would be public, others could test it, and report back to me.
> > 
> > Yeah either way is possible and I can sure carry out tests on it. But
> > IMHO Stephen could be the perfect candidate to maintain the tree :)
> 
> If he wants to then sure. Otherwise it may become my hobby :-)

Let me make sure that I understand the current state:

1.	Fengguang pulls from my tree (presumably from rcu/next)	
	whenever I push something.  He tests my commits in isolation
	from other maintainers' commits.
	
2.	Stephen also pulls from my tree (rcu/next) whenever I push
	something.  However, Stephen tests the merge of all
	maintainers' commits.

So it sounds to me that Stephen is already doing the job that Steven
is suggesting should be done.

So, what am I missing here?

							Thanx, Paul